\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\definecolor{B2}{rgb}{0.8274509803921568,0.1843137254901961,0.1843137254901961}
\definecolor{A1}{rgb}{0.08235294117647059,0.396078431372549,0.7529411764705882}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\draw [color=Gris3, xstep=1cm,ystep=1cm] (-4,-2) grid (4,4);
\clip(-4,-2) rectangle (4,4);
\draw [line width=1.5pt,color=A1] (-3,2)-- (-2,3);
\draw [line width=1.5pt,color=A1] (-2,3)-- (-1,2);
\draw [line width=1.5pt,color=A1] (-1,2)-- (-1,0);
\draw [line width=1.5pt,color=A1] (-1,0)-- (-3,0);
\draw [line width=1.5pt,color=A1] (-3,0)-- (-3,2);
\draw [line width=1.5pt,color=B2] (3,0)-- (2,0);
\draw [line width=1.5pt,color=B2] (2,0)-- (2,-1);
\draw [line width=1.5pt,color=B2] (2,-1)-- (2.5,-1.5);
\draw [line width=1.5pt,color=B2] (2.5,-1.5)-- (3,-1);
\draw [line width=1.5pt,color=B2] (3,-1)-- (3,0);
\end{tikzpicture}
\end{document}